module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={
				alive_time=1,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_305/Prefabs/305_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0,
		},
		[3]={
			args={sound_path=[[Magic/sound_magic_30502_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.2,
		},
		[4]={
			args={
				alive_time=1,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_305/Prefabs/305_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=1.2,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0.95,
		},
		[5]={
			args={
				down_time=0.6,
				excutor=[[vicobj]],
				hit_speed=8,
				hit_time=0.2,
				lie_time=0.15,
				up_speed=1.3,
				up_time=1,
			},
			func_name=[[FloatHit]],
			start_time=1.1,
		},
		[6]={
			args={shake_dis=0.08,shake_rate=20,shake_time=0.7,},
			func_name=[[ShakeScreen]],
			start_time=1.1,
		},
		[7]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.11,
		},
		[8]={
			args={
				consider_hight=true,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.15,
		},
		[9]={
			args={
				consider_hight=true,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.3,
		},
		[10]={args={},func_name=[[End]],start_time=2,},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_305/Prefabs/305_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_305/Prefabs/305_hit2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
